# ApplicationFramework
TKBinL
BinMDF

# BinMDF_DoubleMapNodeOfTypeIdMap Class Reference

`#include <BinMDF_DoubleMapNodeOfTypeIdMap.hxx>`

## Public Member Functions

| BinMDF_DoubleMapNodeOfTypeIdMap (const Handle(Standard_Type)&K1, const Standard_Integer &K2, const TCollection_MapNodePtr &n1, const TCollection_MapNodePtr &n2)
Handle_Standard_Type & | Key1 () const
Standard_Integer & | Key2 () const
TCollection_MapNodePtr & | Next2 () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Standard_Type | myKey1
Standard_Integer | myKey2
TCollection_MapNodePtr | myNext2

## Constructor & Destructor Documentation

BinMDF_DoubleMapNodeOfTypeIdMap::BinMDF_DoubleMapNodeOfTypeIdMap | ( | const Handle(Standard_Type)& | K1,
|  | const Standard_Integer & | K2,
|  | const TCollection_MapNodePtr & | n1,
|  | const TCollection_MapNodePtr & | n2
| ) |

## Member Function Documentation

Standard_EXPORT const BinMDF_DoubleMapNodeOfTypeIdMap::Handle | ( | Standard_Type |  | ) | const

Handle_Standard_Type& BinMDF_DoubleMapNodeOfTypeIdMap::Key1 | ( |  | ) | const

Standard_Integer& BinMDF_DoubleMapNodeOfTypeIdMap::Key2 | ( |  | ) | const

TCollection_MapNodePtr& BinMDF_DoubleMapNodeOfTypeIdMap::Next2 | ( |  | ) | const

## Field Documentation

Handle_Standard_Type BinMDF_DoubleMapNodeOfTypeIdMap::myKey1 `[private]`

Standard_Integer BinMDF_DoubleMapNodeOfTypeIdMap::myKey2 `[private]`

TCollection_MapNodePtr BinMDF_DoubleMapNodeOfTypeIdMap::myNext2 `[private]`

The documentation for this class was generated from the following file:

- BinMDF_DoubleMapNodeOfTypeIdMap.hxx